.arayna: module {
    .modulename: Booltest
    .moduleinfo {
        "Boolean escape test"
        "by Nathan Baker"
        "August 14, 2005"
        "9/19 - upgrade to v0.013 -alpha"
        }
    .type: text
    }
    
.const {
    bool = 1

    START = 1
    REDQ = 2
    NBLUEQ = 3
    YBLUEQ = 4
    NNRESULT = 5
    NYRESULT = 6
    YNRESULT = 7
    YYRESULT = 8
    }

.defineplayer: "Adam" {
		
		.level: 1	// allows to set starting level
		
		// experience allows to set starting experience, though it is
		// advised to allow the game to determine based on starting level.
		.experience: 0
		
		// special define a characters attributes:
		//[strength, perception, endurance, charisma, intelligence, agility, luck ]
		.special [ 10, 5, 5, 5, 5, 5, 5 ]

		// the next 2 directives, health and will are provided to allow
		// fine tuning, though it is advised to allow the game to determine
		// them based on attributes.
//		.health: 0	// amount of damage that can be absorbed
//		.will: 0		// optional for use in games with magic/psi power.
		
		.skills {
			// skill system not yet defined
			}
	}

.definearea: bool, "Boolean Trap" {

/*
    .rooms: 8

    .room: START, "Start"
        {
            .desc:
                "The evil Booleans from the planet Bool have chosen you to be"
                "a guinea pig for their current experiment.  You are placed"
                "in a small room within the confines of an alien concrete dam."
                "You are told that a poisonous gas is seeping into the room"
                "and that you have time to pull one (or both, or none) of two"
                "levers before opening a hatch on the other side of the room."
                "You have a 25% chance of surviving this test.  Good luck!"
                " "
                "<<Click NORTH to continue...>>"

            .links [REDQ, 0, 0, 0, 0, 0, 0, 0, 0, 0]
        }
*/

    .room: REDQ, "Red Question"
        {
            .desc:
                "Do you wish to pull the Red Lever?"
                " "
                "<<Click WEST for YES>>"
                "<<Click NORTH for NO>>"

            .links [NBLUEQ, 0, 0, YBLUEQ, 0, 0, 0, 0, 0, 0]
        }

    .room: NBLUEQ, "N, Blue Question"
        {
            .desc:
                "Do you wish to pull the Blue Lever?"
                " "
                "<<Click WEST for YES>>"
                "<<Click NORTH for NO>>"

            .links [NNRESULT, 0, 0, NYRESULT, 0, 0, 0, 0, 0, 0]
        }

    .room: YBLUEQ, "Y, Blue Question"
        {
            .desc:
                "Do you wish to pull the Blue Lever?"
                " "
                "<<Click WEST for YES>>"
                "<<Click NORTH for NO>>"

            .links [YNRESULT, 0, 0, YYRESULT, 0, 0, 0, 0, 0, 0]
        }

    .room: NNRESULT, "NN Result"
        {
            .desc:
                "You open the hatch on the opposite wall."
                "You step through the hatch, but there is"
                "no place to go.  A valve above you is closed"
                "and a valve below you is closed.  You sense"
                "the effects of the poisonous gas."
                " "
                "YOU DIE!!!"
                " "
                /*"<<Click NORTH to re-take test>>"*/

            .links [0, 0, 0, 0, 0, 0, 0, 0, 0, 0]
            .event: endTest
        }

    .room: NYRESULT, "NY Result"
        {
            .desc:
                "You open the hatch on the opposite wall."
                "You step through the hatch.  A valve"
                "above you is closed, but the one below you"
                "is open.  You craw down through the valve"
                "into a slick tube.  Eventually, you slide"
                "out of the tube and fall onto a dry river"
                "bed."
                " "
                "YOU DIE!!!"
                " "
                /*"<<Click NORTH to re-take test>>"*/
                
            .links [0, 0, 0, 0, 0, 0, 0, 0, 0, 0]
            .event: endTest
        }

    .room: YNRESULT, "YN Result"
        {
            .desc:
                "You open the hatch on the opposite wall."
                "Immediately, water rushes in and fills"
                "up the room.  You swallow water."
                " "
                "YOU DIE!!!"
                " "
                /*"<<Click NORTH to re-take test>>"*/
                
            .links [0, 0, 0, 0, 0, 0, 0, 0, 0, 0]
            .event: endTest
        }

    .room: YYRESULT, "YY Result"
        {
            .desc:
                "You open the hatch on the opposite wall."
                "A strong stream of water is rushing by"
                "the hatch.  You step through the hatch"
                "into the stream of rushing water.  The"
                "water carries you out of the interior of"
                "the dam into a nice flowing river."
                " "
                "YOU ARE FREE!!!"
                " "
                "*=||  You have passed the Boolean Test!  ||=*"
                " "
                /*"<<Click NORTH to re-take test>>"*/
                
            .links [0, 0, 0, 0, 0, 0, 0, 0, 0, 0]
            .event: endTest
        }
}

.section: endTest {
    .write(" ")
    .write(" THE END.")
    .endgame
}

.begin {

    .write("The evil Booleans from the planet Bool have chosen you to be")
    .write("a guinea pig for their current experiment.  You are placed")
    .write("in a small room within the confines of an alien concrete dam.")
    .write("You are told that a poisonous gas is seeping into the room")
    .write("and that you have time to pull one (or both, or none) of two")
    .write("levers before opening a hatch on the other side of the room.")
    .write("You have a 25% chance of surviving this test.  Good luck!")
    .write(" ")
    .wait
    .cls
    .teleport(bool, REDQ)
}

.end
