// "mc-map.inc" for Mansion Caper
.definearea: maze, "Mansion Caper" {

//    .rooms: 9

    .room: EnterHall, "Enterance Hall"
        {
            .desc:
                "This is the enterance hall of the mansion."
                "It is large and lavish with a marble floor"
                "and an immense staircase leading to the"
                "upper rooms."

            .links [ Kitchens, s, Study, w, ne, nw, se, sw, UpCorr, d ]
        }

    .room: Kitchens, "Kitchens"
        {
            .desc:
                "The kitchens of this grand mansion - hidden"
                "away behind the splendour of the staircase"
                "in the grand enterance hall - is large but"
                "modest."

            .links [ n, EnterHall, Dining, w, ne, nw, se, sw, u, Cellar ]
        }
    .room: Study, "Study"
        {
            .desc:
                "The study has many large bookcases filled"
                "with dusty books.  Judging by what you see"
                "in this room, it is really more of a"
                "guestroom - the bookcases a means to impress"
                "visitors - and isn't used for actual study."

            .links [ Dining, s, e, EnterHall, ne, nw, se, sw, u, d ]
        }
    .room: Dining, "Dining Room"
        {
            .desc:
                "The dining room has a large table, able to"
                "seat a substantial number of guests."

            .links [ n, Study, e, Kitchens, ne, nw, se, sw, u, d ]
        }
    .room: Cellar, "Wine Celler"
        {
            .desc:
                "The dusty old wine cellar has a big rack"
                "of wine bottles, though most of the shelves"
                "are empty."

            .links [ n, s, e, w, ne, nw, se, sw, Kitchens, d ]
        }
    .room: UpCorr, "Upstairs Corridor"
        {
            .desc:
                "This uneventful corridor leads off into"
                "the various bedrooms."

            .links [ MasterB, s, Guest, w, ne, nw, se, sw, u, EnterHall ]
        }
    .room: MasterB, "Master Bedroom"
        {
            .desc:
                "This is the large, luxurious master bedroom"
                "for the mansion's owner."

            .links [ n, UpCorr, e, w, ne, nw, se, sw, u, d ]
        }
    .room: Guest, "Guest Bedroom"
        {
            .desc:
                "This is a small but comfortable quest bedroom."

            .links [ n, s, e, UpCorr, ne, nw, se, sw, u, d ]
            .event: endAdvent
        }

/*    .portal: door, "door"
        {
            .desc: "A door."

            .attributes [ @open | @close | @break | @unlock | @lock | @examine ]
			
			// current state of this portal
			.state [ @close | @lock ]	// closed and locked
			
			// 2 room numbers between which is located this portal.
			.targets [ ,  ]

			// choosing "unlock" this portal's menu checks to see if the player
			// has object # 'rustykey', and unlocks the door with it automatically
			// (no need to "use key") 
			.key: somekey
			.toughness: 4		// need to overcome to break portal (makes "break" visible)
			.locklevel: 3		// need to overcome to pick lock (makes "pick lock" visible) [not implemented yet]
	}*/

}
