// "gd-map.inc" for Geryon's Dungeon
.definearea: maze, "Geryon's Dungeon" {

//    .rooms: 70

    .room: g21, "g21"
        {
            .desc:
                "g21"

            .links [ n, g22, g31, w, ne, nw, se, sw, u, d ]
        }

    .room: g31, "g31"
        {
            .desc:
                "g31"

            .links [ n, s, g41, g21, ne, nw, se, sw, u, d ]
		.spawnobjects [ ball ]
        }

    .room: g41, "g41"
        {
            .desc:
                "g41"

            .links [ n, g42, e, g31, ne, nw, se, sw, u, d ]
		.spawnobjects [ box ]
        }

    .room: g61, "g61"
        {
            .desc:
                "g61"

            .links [ n, g62, g71, w, ne, nw, se, sw, u, d ]
        }

    .room: g71, "g71"
        {
            .desc:
                "g71"
            .links [ n, s, g81, g61, ne, nw, se, sw, u, d ]
		.spawnobjects [ bluecrystal ]
        }

    .room: g81, "g81"
        {
            .desc:
                "g81"

            .links [ n, g82, e, g71, ne, nw, se, sw, u, d ]
        }

    .room: g22, "g22"
        {
            .desc:
                "g22"

            .links [ g21, g23, e, w, ne, nw, se, sw, u, d ]
        }

    .room: g42, "g42"
        {
            .desc:
                "g42"

            .links [ g41, s, g52, w, ne, nw, se, sw, u, d ]
        }

    .room: g52, "g52"
        {
            .desc:
                "g52"

            .links [ n, g53, g62, g42, ne, nw, se, sw, u, d ]
        }

    .room: g62, "g62"
        {
            .desc:
                "g62"

            .links [ g61, s, e, g52, ne, nw, se, sw, u, d ]
		.spawnobjects [ box ]
        }

    .room: g82, "g82"
        {
            .desc:
                "g82"

            .links [ g81, s, e, w, ne, nw, se, sw, a82, d ]
        }

    .room: g13, "g13"
        {
            .desc:
                "g13"
                "START"
                "Geryon's Dungeon"
                "map by Nathan Baker"
                "to test the Arayna engine"
                "August 14, 2005 [68 rooms, 140 links]"
                "August 30 - [7 objs, 2 portals]"
                "9/19 - upgrade to v0.013 -alpha"
                "added MagicTunnel"

            .links [ n, s, g23, w, ne, nw, se, sw, u, d ]
        }

    .room: g23, "g23"
        {
            .desc:
                "g23"
                "You see a warped, misty image on the East wall."
                "It looks like a passage to another room."

            .links [ g22, g24, MagicTunnel, g13, ne, nw, se, sw, u, d ]
        }

    .room: MagicTunnel, "MagicTunnel"
        {
            .desc:
                "Magic Tunnel"

            .links [ n, s, g53, g23, ne, nw, se, sw, u, d ]
            .event: MagicT
        }

    .room: g53, "g53"
        {
            .desc:
                "g53"
                "You see a warped, misty image on the West wall."
                "It looks like a passage to another room."

            .links [ g52, g54, e, MagicTunnel, ne, nw, se, sw, u, d ]
        }

    .room: g24, "g24"
        {
            .desc:
                "g24"

            .links [ g23, s, g34, w, ne, nw, se, sw, u, d ]
        }

    .room: g34, "g34"
        {
            .desc:
                "g34"

            .links [ n, s, g44, g24, ne, nw, se, sw, u, d ]
        }

    .room: g44, "g44"
        {
            .desc:
                "g44"

            .links [ n, g45, g54, g34, ne, nw, se, sw, u, d ]
        }

    .room: g54, "g54"
        {
            .desc:
                "g54"

            .links [ g53, s, g64, g44, ne, nw, se, sw, u, d ]
        }

    .room: g64, "g64"
        {
            .desc:
                "g64"

            .links [ n, g65, e, g54, ne, nw, se, sw, u, d ]
        }

    .room: g45, "g45"
        {
            .desc:
                "g45"

            .links [ g44, g46, e, w, ne, nw, se, sw, u, d ]
        }

    .room: g65, "g65"
        {
            .desc:
                "g65"

            .links [ g64, g66, e, w, ne, nw, se, sw, u, d ]
        }

    .room: g26, "g26"
        {
            .desc:
                "g26"

            .links [ n, g27, g36, w, ne, nw, se, sw, u, d ]
        }

    .room: g36, "g36"
        {
            .desc:
                "g36"

            .links [ n, s, g46, g26, ne, nw, se, sw, u, d ]
        }

    .room: g46, "g46"
        {
            .desc:
                "g46"

            .links [ g45, s, g56, g36, ne, nw, se, sw, u, d ]
        }

    .room: g56, "g56"
        {
            .desc:
                "g56"

            .links [ n, s, g66, g46, ne, nw, se, sw, u, d ]
        }

    .room: g66, "g66"
        {
            .desc:
                "g66"

            .links [ g65, s, g76, g56, ne, nw, se, sw, u, d ]
        }

    .room: g76, "g76"
        {
            .desc:
                "g76"

            .links [ n, s, g86, g66, ne, nw, se, sw, u, d ]
        }

    .room: g86, "g86"
        {
            .desc:
                "g86"

            .links [ n, s, e, g76, ne, nw, se, sw, a86, d ]
        }

    .room: g17, "g17"
        {
            .desc:
                "g17"

            .links [ n, s, g27, w, ne, nw, se, sw, u, b17 ]        }

    .room: g27, "g27"
        {
            .desc:
                "g27"

            .links [ g62, s, e, g17, ne, nw, se, sw, u, d ]
        }

    .room: g68, "g68"
        {
            .desc:
                "g68"

            .links [ n, s, g78, w, ne, nw, se, sw, u, b68 ]
        }

    .room: g78, "g78"
        {
            .desc:
                "g78"
                "SOLVED"

            .links [ n, s, e, g68, ne, nw, se, sw, u, d ]
            .event: endQuest
        }

    .room: b34, "b34"
        {
            .desc:
                "b34"

            .links [ n, b35, b44, w, ne, nw, se, sw, u, d ]
        }

    .room: b44, "b44"
        {
            .desc:
                "b44"

            .links [ n, s, b54, b34, ne, nw, se, sw, u, d ]
        }

    .room: b54, "b54"
        {
            .desc:
                "b54"

            .links [ blueportal, b55, e, b44, ne, nw, se, sw, u, d ]
        }

    .room: b25, "b25"
        {
            .desc:
                "b25"

            .links [ n, b26, b35, w, ne, nw, se, sw, u, d ]
        }

    .room: b35, "b35"
        {
            .desc:
                "b35"

            .links [ b34, s, e, b25, ne, nw, se, sw, u, d ]
        }

    .room: b55, "b55"
        {
            .desc:
                "b55"

            .links [ b54, redgate, e, w, ne, nw, se, sw, u, d ]
        }

    .room: b16, "b16"
        {
            .desc:
                "b16"

            .links [ n, b17, b26, w, ne, nw, se, sw, u, d ]
        }

    .room: b26, "b26"
        {
            .desc:
                "b26"

            .links [ b25, s, e, b16, ne, nw, se, sw, u, d ]
        }

    .room: b56, "b56"
        {
            .desc:
                "b56"

            .links [ redgate, b57, e, w, ne, nw, se, sw, u, d ]
        }

    .room: b17, "b17"
        {
            .desc:
                "b17"

            .links [ b16, b18, e, w, ne, nw, se, sw, g17, d ]
        }

    .room: b37, "b37"
        {
            .desc:
                "b37"
                "DEATH"

            .links [ n, b38, e, w, ne, nw, se, sw, u, d ]
            .event: endQuest
        }

    .room: b57, "b57"
        {
            .desc:
                "b57"

            .links [ b56, s, b67, w, ne, nw, se, sw, u, d ]
        }

    .room: b67, "b67"
        {
            .desc:
                "b67"

            .links [ n, b68, e, b57, ne, nw, se, sw, u, d ]
        }

    .room: b18, "b18"
        {
            .desc:
                "b18"

            .links [ b17, s, b28, w, ne, nw, se, sw, u, d ]
        }

    .room: b28, "b28"
        {
            .desc:
                "b28"

            .links [ n, s, b38, b18, ne, nw, se, sw, u, d ]
        }

    .room: b38, "b38"
        {
            .desc:
                "b38"

            .links [ b37, s, e, b28, ne, nw, se, sw, u, d ]
        }

    .room: b68, "b68"
        {
            .desc:
                "b68"

            .links [ b67, s, e, w, ne, nw, se, sw, g68, d ]
        }

    .room: a61, "a61"
        {
            .desc:
                "a61"

            .links [ n, a62, a71, w, ne, nw, se, sw, u, d ]
		.spawnobjects [ ball ]
        }

    .room: a71, "a71"
        {
            .desc:
                "a71"

            .links [ n, s, a81, a61, ne, nw, se, sw, u, d ]
		.spawnobjects [ box ]
        }

    .room: a81, "a81"
        {
            .desc:
                "a81"

            .links [ n, a82, e, a71, ne, nw, se, sw, u, d ]
        }

    .room: a52, "a52"
        {
            .desc:
                "a52"

            .links [ n, a53, a62, w, ne, nw, se, sw, u, d ]
        }

    .room: a62, "a62"
        {
            .desc:
                "a62"

            .links [ a61, s, e, a52, ne, nw, se, sw, u, d ]
        }

    .room: a82, "a82"
        {
            .desc:
                "a82"

            .links [ a81, s, e, w, ne, nw, se, sw, u, g82 ]
        }

    .room: a53, "a53"
        {
            .desc:
                "a53"

            .links [ a52, a54, e, w, ne, nw, se, sw, u, d ]
        }

    .room: a54, "a54"
        {
            .desc:
                "a54"

            .links [ a53, s, a64, w, ne, nw, se, sw, u, d ]
		.spawnobjects [ redkey ]
        }

    .room: a64, "a64"
        {
            .desc:
                "a64"

            .links [ n, s, a74, a54, ne, nw, se, sw, u, d ]
        }

    .room: a74, "a74"
        {
            .desc:
                "a74"

            .links [ n, a75, e, a64, ne, nw, se, sw, u, d ]
        }

    .room: a75, "a75"
        {
            .desc:
                "a75"

            .links [ a74, a76, e, w, ne, nw, se, sw, u, d ]
        }

    .room: a36, "a36"
        {
            .desc:
                "a36"
                "DEATH"

            .links [ n, s, a46, w, ne, nw, se, sw, u, d ]
            .event: endQuest
        }

    .room: a46, "a46"
        {
            .desc:
                "a46"

            .links [ n, s, a56, a36, ne, nw, se, sw, u, d ]
        }

    .room: a56, "a56"
        {
            .desc:
                "a56"

            .links [ n, a57, e, a46, ne, nw, se, sw, u, d ]
        }

    .room: a76, "a76"
        {
            .desc:
                "a76"

            .links [ a75, a77, a86, w, ne, nw, se, sw, u, d ]
        }

    .room: a86, "a86"
        {
            .desc:
                "a86"

            .links [ n, s, e, a76, ne, nw, se, sw, u, g86 ]
        }

    .room: a57, "a57"
        {
            .desc:
                "a57"

            .links [ a56, blueportal, a67, w, ne, nw, se, sw, u, d ]
        }

    .room: a67, "a67"
        {
            .desc:
                "a67"

            .links [ n, s, a77, a57, ne, nw, se, sw, u, d ]
        }

    .room: a77, "a77"
        {
            .desc:
                "a77"

            .links [ a76, s, e, a67, ne, nw, se, sw, u, d ]
        }

    .portal: redgate, "Red Gate"
        {
            .desc: "A sturdy red metal gate."

            .attributes [ @open | @close | @break | @unlock | @lock | @examine ]
			
			// current state of this portal
			.state [ @close | @lock ]	// closed and locked
			
			// 2 room numbers between which is located this portal.
			.targets [ b55, b56 ]

			// choosing "unlock" this portal's menu checks to see if the player
			// has object # 'rustykey', and unlocks the door with it automatically
			// (no need to "use key") 
			.key: redkey
			.toughness: 4		// need to overcome to break portal (makes "break" visible)
			.locklevel: 3		// need to overcome to pick lock (makes "pick lock" visible) [not implemented yet]

        }

    .portal: blueportal, "Blue Portal"
        {
            .desc: "A shimmering blue portal."

            .attributes [ @open | @close | @break | @unlock | @lock | @examine ]
			
			// current state of this portal
			.state [ @close | @lock ]	// closed and locked
			
			// 2 room numbers between which is located this portal.
			.targets [ a57, b54 ]

			// choosing "unlock" this portal's menu checks to see if the player
			// has object # 'rustykey', and unlocks the door with it automatically
			// (no need to "use key") 
			.key: bluecrystal
			.toughness: 4		// need to overcome to break portal (makes "break" visible)
			.locklevel: 3		// need to overcome to pick lock (makes "pick lock" visible) [not implemented yet]
        }

}
