.arayna: module {
    .modulename: Geryon
    .moduleinfo {

        "Geryon's Dungeon"
        "by Nathan Baker"
        "to test Arayna"
        "August 14, 2005 [68 rooms, 140 links]"
        "August 30 - [7 objs, 2 portals]"
        "9/19 - upgrade to v0.013 -alpha"
        "added MagicTunnel"
        // 68 rooms
        // 140 links
        // 7 objs - 2 balls, 3 boxes, redkey, bluecrystal
        // 2 portals - redgate, blueportal
        }

    .type: text
}

.include: "gd-const.inc"

.defineplayer: "Seeker" {
		
		.level: 1
		.experience: 0
		.special [ 10, 5, 5, 5, 5, 5, 5 ]
		.skills {
			}
	}

.include: "gd-objs.inc"

.include: "gd-event.inc"

.section: endQuest {
    .write(" ")
    .write(" THE END.")
    .endgame
}

.include: "gd-map.inc"

.begin {

    .wait
    .cls
    .teleport(maze, g13)
    
}

.end

/*  Cheater Map

O - Origin
U - Up
D - Down
X - Death
S - Success

Ground
  12345678
1| +++ +++
2| + +++ U
3|O+  +
4| +++++
5|   + +
6| ++++++U
7|D+
8|     DS

Basement
  12345678
1|
2|
3|
4|  +++
5| ++ +
6|++  +
7|U X ++
8|+++  U

Attic
  12345678
1|     +++
2|    ++ D
3|    +
4|    +++
5|      +
6|  X++ +D
7|    +++
8|

*/
